Connect a CRM via API key (e.g. LeadSquared)
curl --request POST \
--url https://api.pineyard.ai/crm/{slug}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"credentials": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', credentials: {}})
};
fetch('https://api.pineyard.ai/crm/{slug}/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/{slug}/connect"
payload = {
"name": "<string>",
"credentials": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"connection": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"status": "ACTIVE",
"providerEmail": "<string>",
"connectedAt": "<string>",
"display": {},
"hasWebhookSecret": true,
"webhookUrl": "<string>",
"deferredEventCount": 1,
"missingScopes": [
"<string>"
],
"webhookTopics": {
"subscribed": [
"<string>"
],
"failed": [
{
"topic": "<string>",
"reason": "<string>"
}
],
"checkedAt": "<string>"
}
}
}CRM
Connect a CRM via API key (e.g. LeadSquared)
POST
/
crm
/
{slug}
/
connect
Connect a CRM via API key (e.g. LeadSquared)
curl --request POST \
--url https://api.pineyard.ai/crm/{slug}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"credentials": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', credentials: {}})
};
fetch('https://api.pineyard.ai/crm/{slug}/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/{slug}/connect"
payload = {
"name": "<string>",
"credentials": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"connection": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"status": "ACTIVE",
"providerEmail": "<string>",
"connectedAt": "<string>",
"display": {},
"hasWebhookSecret": true,
"webhookUrl": "<string>",
"deferredEventCount": 1,
"missingScopes": [
"<string>"
],
"webhookTopics": {
"subscribed": [
"<string>"
],
"failed": [
{
"topic": "<string>",
"reason": "<string>"
}
],
"checkedAt": "<string>"
}
}
}Required scope:
crm.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes

